OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
is_same< T0, T1, T > Struct Template Reference

C++11 implementation of std::is_same. More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Attributes
static constexpr bool | value = is_same<T0, T1>::value || is_same<T0, T...>::value

## Detailed Description

template<typename T0, typename T1, typename ... T>
struct nanovdb::is_same< T0, T1, T >

C++11 implementation of std::is_same.

Note
  When more than two arguments are provided value = T0==T1 || T0==T2 || ...

## Member Data Documentation

## ◆ value

template<typename T0 , typename T1 , typename ... T>

bool value = is_same<T0, T1>::value || is_same<T0, T...>::value
| static constexpr